Compile error for 4.8.0 embedded for arm



  • Using codesourcery toolchain, trying to build 4.8.0 embedded for arm. Config was: ./configure -xplatform qws/linux-arm-gnueabi-g++ -embedded arm

    Getting this error:

    from global/qt_pch.h:58:
    ../../include/QtCore/../../src/corelib/arch/qatomic_armv5.h: In member function 'bool QMutexPrivate::wait(int)':
    ../../include/QtCore/../../src/corelib/arch/qatomic_armv5.h:232:35: error: output number 1 not directly addressable
    ../../include/QtCore/../../src/corelib/arch/qatomic_armv5.h: In member function 'void QMutexPrivate::wakeUp()':
    ../../include/QtCore/../../src/corelib/arch/qatomic_armv5.h:232:35: error: output number 1 not directly addressable
    make[1]: *** [.obj/release-shared-emb-arm/qmutex_unix.o] Error 1
    make[1]: Leaving directory `/opt/qt-everywhere-opensource-src-4.8.0/src/corelib'



  • GCC 4.5.1 has a known issue.
    Please try
    arm-2011.09-70-arm-none-linux-gnueabi-i686-pc-linux-gnu.tar.bz2 that includes "gcc version 4.6.1 (Sourcery CodeBench Lite 2011.09-70)"
    OR
    arm-2010q1-202-arm-none-linux-gnueabi-i686-pc-linux-gnu.tar.bz2 that includes "gcc version 4.4.1 (Sourcery G++ Lite 2010q1-202)"
    that work both fine.



  • I did successfully compile and run Qt 4.7.4 with the 2010.09-50 (gcc 4.5.1) codesourcery toolchain. Now, several folks suggest the use of this compiler flag: -fno-strict-volatile-bitfields

    With this, I can compile the entire Qt 4.8.0 lib ok, but upon running any example or demo programs I get "unexpected PLT reloc 0x0d" errors.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.